function rstn_time2files, time0, time1, verify=verify, $
   holloman=holloman, learmonth=learmonth, palehua=palehua, sanvito=sanvito
;
;+
;   Name: rstn_time2files
;
;   Purpose: return filenames (ftpurls) for RSTN data@ngdc
;
;   Input Parameters:
;      time0 - time or start of time range
;      time1 - optional end time if range desired
;
;   History:
;      6-May-2004 - S.L.Freeland
;
;   Restrictions:
;      NGDC only for now.
;
;-
topftp='ftp://ftp.ngdc.noaa.gov/STP/SOLAR_DATA/SOLAR_RADIO/SPECTRAL_RSTN'

case 1 of 
   keyword_set(learmonth):begin
      site='LEAR'
      pref='LM'
   endcase
   keyword_set(sanvito):  begin
      site='SVTO'
      pref='SV'
   endcase
   keyword_set(palehua):  begin
      site='PALE'
      pref='PA'
   endcase
   else: begin
      site='HOLL'  ; default=Halloman
      pref='HO'
   endcase
endcase

case n_params() of 
   1: tgrid=anytim(time0,/vms)   
   2: begin
         tgrid=timegrid(time0,time1,/day,/vms)
      endcase
   else: begin 
      box_message,'You must supply a time or time range...'
      return,''
   endcase
endcase
 
fdates=time2file(tgrid,/year2,/date_only)
mm=strmid(fdates,0,4)

ftpurls=topftp+'/'+site + mm + '/' + pref + fdates + '.SRS'

return,ftpurls
end

